com.rscja.team.qcom.scanner.utility

## Class ScannerUtility_qcom

- java.lang.Object
- - com.rscja.team.qcom.scanner.utility.ScannerUtility_qcom

- All Implemented Interfaces:
    IScanner

      public class ScannerUtility_qcom
      extends java.lang.Object
      implements IScanner

  键盘助手工具类，用于控制键盘助手
  keyboardemulator tool-kits, control keyboardemulator
  Author:
    Administrator

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.scanner.IScanner

      `FORMAT_ASCII, FORMAT_DECIMAL, FORMAT_DEFAULT, FORMAT_GB18030, FORMAT_GB2312, FORMAT_GBK, FORMAT_HEX, FORMAT_UNICODE, FORMAT_UTF8, FUNCTION_14443A, FUNCTION_15693, FUNCTION_1D, FUNCTION_2D, FUNCTION_2D_H, FUNCTION_LF_ANIMAL, FUNCTION_LF_EM4450, FUNCTION_LF_HDX, FUNCTION_LF_HID, FUNCTION_LF_HITAG, FUNCTION_LF_ID, FUNCTION_LF_NEEDLE, FUNCTION_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(android.content.Context context)` 关闭键盘助手总开关 Switch off keyboardemulator
    `void` | `disableFunction(android.content.Context context, int function)` 禁用指定功能模块 Disable specific function module
    `void` | `enableAuxiliaryLight(android.content.Context context, boolean enable)` 开启扫描辅助灯(C7x才有此功能) switch on scanning aux.light for C7x series
    `void` | `enableBarcodeNotRepeat(android.content.Context context, boolean enable)` 不输出重复标签(前后两次标签不重复) donot outout repeated tags
    `void` | `enableBlockScankey(android.content.Context context, boolean enable)` 拦截扫描按键 (备注：键盘助手v2.3.5 之后的版本才支持) Block scan button (Comment: Supports after keyboardemualator v2.3.5 has been released)
    `void` | `enableEnter(android.content.Context context, boolean enter)` 是否启用回车 Enter ON/OFF
    `void` | `enableFunction(android.content.Context context, int function)` 启用指定功能模块 Enable specific function module
    `void` | `enablePlayFailureSound(android.content.Context context, boolean failureSound)` 扫描失败是否播放提示音 scan failure sound ON/OFF
    `void` | `enablePlaySuccessSound(android.content.Context context, boolean successSound)` 扫描成功是否播放提示音 Scan success sound ON/OFF
    `void` | `enableScanOnRelease(android.content.Context context, boolean enable)` 释放扫描按键开始扫描
    `void` | `enableTAB(android.content.Context context, boolean tab)` 是否启用TAB TAB ON/OFF
    `void` | `enableVibrate(android.content.Context context, boolean vibrate)` 扫描成功是否震动提示 scan success vibrate ON/OFF
    `void` | `filterCharacter(android.content.Context context, java.lang.String chars)` 过滤字符串 Filter string
    `void` | `getLastDecImage(android.content.Context context)`
    `int` | `getParam_zebra(android.content.Context context, int paramId)`
    `static ScannerUtility_qcom` | `getScannerInerface()`
    `ScannerParameterEntity` | `getScannerParameter(android.content.Context context)`
    `void` | `interceptTrimLeft(android.content.Context context, int num)` 截取左边字符串 Capture string on left
    `void` | `interceptTrimRight(android.content.Context context, int num)` 截取右边字符串 capture string on right
    `boolean` | `isUhfWorking(android.content.Context context)` UHF 是否正在盘点 Working status of UHF
    `void` | `open(android.content.Context context)` 打开键盘助手总开关 Switch on keyboardemulator
    `void` | `resetScan(android.content.Context context)` 键盘助手恢复出厂设置 Restore factory setup
    `void` | `setBarcodeContinuousMode(android.content.Context context, int mode)` 设置扫描头连续扫描模式 (备注：键盘助手v2.3.5 之后的版本才支持) Setup UHF mode (Comment: Supports after keyboardemualator v2.3.5 has been released)
    `void` | `setBarcodeEncodingFormat(android.content.Context context, int format)` 设置条码编码格式 Setup barcode decoding format
    `void` | `setContinuousScan(android.content.Context context, boolean isContinuous)` 设置条码连续扫描 Setup barcode continuous scanning
    `void` | `setContinuousScanIntervalTime(android.content.Context context, int intervalTime)` 设置条码连续扫描间隔时间 Setup barcode continuous scanning intervals
    `void` | `setContinuousScanIntervalTimeRFID(android.content.Context context, int intervalTime)` 设置UHF连续扫描间隔时间 Setup UHF continuous scanning intervals
    `void` | `setContinuousScanRFID(android.content.Context context, boolean isContinuous)` 设置UHF连续扫描 Setup UHF continuous scann
    `void` | `setContinuousScanTimeOut(android.content.Context context, int timeOut)` 设置条码连续扫描超时时间 Setup barcode continuous scanning time-out interval
    `void` | `setContinuousScanTimeOutRFID(android.content.Context context, int timeOut)` 设置UHF连续扫描超时时间 Setup UHF continuous scanning time-out interval
    `void` | `setGroupSeparator(android.content.Context context, boolean disable)` 是否去掉分组符 Delete D GS
    `void` | `setOnUhfWorkStateListener(android.content.Context context, OnUhfWorkStateListener onUhfWorkStateListener)` 设置UHF工作状态发送改变的回调接口 Register a callback to be invoked when this UHF working state changes.
    `void` | `setOutputMode(android.content.Context context, int outputMode)` 输出模式 Output mode
    `void` | `setParam_zebra(android.content.Context context, int paramId, int paramValue)` 设置斑马扫描头参数,扫描头上电之后设置一次即可,扫描头断电之后失效。(备注：键盘助手v2.2.0.3 之后的版本才支持) Setup zebra scanner parameters, after scanner has powered on to setup for once,
    `void` | `setPrefix(android.content.Context context, java.lang.String prefix)` 设置前缀 Setup prefix
    `void` | `setReleaseScan(android.content.Context context, boolean enable)` 松开扫描按键是否停止扫描 Stop scan after release scan button
    `void` | `setRFIDEncodingFormat(android.content.Context context, int format)` 设置RFID编码格式 Setup RFID decoding format
    `void` | `setScanFailureBroadcast(android.content.Context context, boolean enable)` 扫描失败是否发送广播,接收广播的action和扫描成功的action是同一个 Send broadcast when scan failure
    `void` | `setScanKey(android.content.Context context, int type, int[] scanKey)` 设置扫描或者读卡的按键值 Setup keycode for barcode scan or card reading
    `void` | `setScanner70()`
    `void` | `setScanOutTime(android.content.Context context, int time)` 设置扫码超时时间 Setup scan time-out duration
    `void` | `setScanResultBroadcast(android.content.Context context, java.lang.String broadcastAction, java.lang.String data)` 设置条码扫描结果接收的广播 Setup barcode scanning result
    `void` | `setScanResultBroadcastRFID(android.content.Context context, java.lang.String broadcastAction, java.lang.String data)` 设置RFID扫描结果接收广播 Setup RFID scanning result receive broadcast
    `void` | `setSuffix(android.content.Context context, java.lang.String suffix)` 设置后缀 Setup suffix
    `void` | `setUHFMode(android.content.Context context, int mode)` 设置uhf模式 (备注：键盘助手v2.3.5 之后的版本才支持) Setup UHF mode (Comment: Supports after keyboardemualator v2.3.5 has been released)
    `void` | `setUHFPower(android.content.Context context, int power)` 设置uhf功率 Setup UHF output power
    `void` | `setVirtualScanButton(android.content.Context context, int buttonSize)` 设置虚拟扫描按钮
    `void` | `startScan(android.content.Context context, int function)` 开始扫描或者读卡 start scanning or card-reading
    `void` | `stopScan(android.content.Context context, int function)` 停止扫描 Stop scanning

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setScanner70

          public void setScanner70()

    - #### getScannerInerface

          public static ScannerUtility_qcom getScannerInerface()

    - #### open

          public void open(android.content.Context context)

      Description copied from interface: `IScanner`
      打开键盘助手总开关
      Switch on keyboardemulator
      Specified by:
        `open` in interface `IScanner`
      Parameters:
        `context` - Context

    - #### close

          public void close(android.content.Context context)

      Description copied from interface: `IScanner`
      关闭键盘助手总开关
      Switch off keyboardemulator
      Specified by:
        `close` in interface `IScanner`
      Parameters:
        `context` - Context

    - #### enableFunction

          public void enableFunction(android.content.Context context,
                                     int function)

      Description copied from interface: `IScanner`
      启用指定功能模块
      Enable specific function module
      Specified by:
        `enableFunction` in interface `IScanner`
      Parameters:
        `context` - Context
        `function` - 0: 1D， 1: 硬解码(hard_decoding)，2: 软解码(soft_decoding) , 11：UHF
        `IScanner.FUNCTION_1D`、`IScanner.FUNCTION_2D_H`、`IScanner.FUNCTION_2D`、`IScanner.FUNCTION_UHF`

    - #### disableFunction

          public void disableFunction(android.content.Context context,
                                      int function)

      Description copied from interface: `IScanner`
      禁用指定功能模块
      Disable specific function module
      Specified by:
        `disableFunction` in interface `IScanner`
      Parameters:
        `context` - Context
        `function` - 0: 1D， 1: 硬解码(hard_decoding)，2: 软解码(soft_decoding) , 11：UHF
        `IScanner.FUNCTION_1D`、`IScanner.FUNCTION_2D_H`、`IScanner.FUNCTION_2D`、`IScanner.FUNCTION_UHF`

    - #### startScan

          public void startScan(android.content.Context context,
                                int function)

      Description copied from interface: `IScanner`
      开始扫描或者读卡
      start scanning or card-reading
      Specified by:
        `startScan` in interface `IScanner`
      Parameters:
        `context` - Context
        `function` - 0: 1D， 1: 硬解码(hard_decoding)，2: 软解码(soft_decoding) , 11：UHF
        `IScanner.FUNCTION_1D`、`IScanner.FUNCTION_2D_H`、`IScanner.FUNCTION_2D`、`IScanner.FUNCTION_UHF`

    - #### stopScan

          public void stopScan(android.content.Context context,
                               int function)

      Description copied from interface: `IScanner`
      停止扫描
      Stop scanning
      Specified by:
        `stopScan` in interface `IScanner`
      Parameters:
        `context` - Context
        `function` - 0: 1D， 1: 硬解码(hard_decoding)，2: 软解码(soft_decoding) , 11：UHF
        `IScanner.FUNCTION_1D`、`IScanner.FUNCTION_2D_H`、`IScanner.FUNCTION_2D`、`IScanner.FUNCTION_UHF`

    - #### enablePlaySuccessSound

          public void enablePlaySuccessSound(android.content.Context context,
                                             boolean successSound)

      Description copied from interface: `IScanner`
      扫描成功是否播放提示音
      Scan success sound ON/OFF
      Specified by:
        `enablePlaySuccessSound` in interface `IScanner`
      Parameters:
        `context` - Context
        `successSound` - true:播放声音(play sound)，false不播放声音(donot play sound)

    - #### enablePlayFailureSound

          public void enablePlayFailureSound(android.content.Context context,
                                             boolean failureSound)

      Description copied from interface: `IScanner`
      扫描失败是否播放提示音
      scan failure sound ON/OFF
      Specified by:
        `enablePlayFailureSound` in interface `IScanner`
      Parameters:
        `context` - Context
        `failureSound` - true:播放声音(play sound)，false不播放声音(donot play sound)

    - #### enableVibrate

          public void enableVibrate(android.content.Context context,
                                    boolean vibrate)

      Description copied from interface: `IScanner`
      扫描成功是否震动提示
      scan success vibrate ON/OFF
      Specified by:
        `enableVibrate` in interface `IScanner`
      Parameters:
        `context` - Context
        `vibrate` - true:表示震动(vibrate)，false表示不震动(NO vibrate)

    - #### setOutputMode

          public void setOutputMode(android.content.Context context,
                                    int outputMode)

      Description copied from interface: `IScanner`
      输出模式
      Output mode
      Specified by:
        `setOutputMode` in interface `IScanner`
      Parameters:
        `context` - Context
        `outputMode` - 0:扫描到光标位置(scan content to cursor) 1:剪切板(clipboard) 2:广播(broadcast) 3:模拟键盘(analog keyboard)

    - #### setBarcodeEncodingFormat

          public void setBarcodeEncodingFormat(android.content.Context context,
                                               int format)

      Description copied from interface: `IScanner`
      设置条码编码格式
      Setup barcode decoding format
      Specified by:
        `setBarcodeEncodingFormat` in interface `IScanner`
      Parameters:
        `context` - Context
        `format` - 0: Default 1: ASCII 2:GB2312 3:UTF8 4:Unicode 10:GBK, 11:GB18030
        `IScanner.FORMAT_DEFAULT`、`IScanner.FORMAT_ASCII`、`IScanner.FORMAT_GB2312`、`IScanner.FORMAT_UTF8`、`IScanner.FORMAT_UNICODE`、`IScanner.FORMAT_GBK` 、`IScanner.FORMAT_GB18030`

    - #### setRFIDEncodingFormat

          public void setRFIDEncodingFormat(android.content.Context context,
                                            int format)

      Description copied from interface: `IScanner`
      设置RFID编码格式
      Setup RFID decoding format
      Specified by:
        `setRFIDEncodingFormat` in interface `IScanner`
      Parameters:
        `context` - Context
        `format` - 5:十六进制(Hex) 6: 十进制(decimalism)
        `IScanner.FORMAT_HEX` 、`IScanner.FORMAT_DECIMAL`

    - #### enableEnter

          public void enableEnter(android.content.Context context,
                                  boolean enter)

      Description copied from interface: `IScanner`
      是否启用回车
      Enter ON/OFF
      Specified by:
        `enableEnter` in interface `IScanner`
      Parameters:
        `context` - Context
        `enter` - true: 启用回车(Enter ON), false:不启用回车(Enter OFF)

    - #### enableTAB

          public void enableTAB(android.content.Context context,
                                boolean tab)

      Description copied from interface: `IScanner`
      是否启用TAB
      TAB ON/OFF
      Specified by:
        `enableTAB` in interface `IScanner`
      Parameters:
        `context` - Context
        `tab` - true: 启用(Tab ON) , false:不启用(Tab OFF)

    - #### setSuffix

          public void setSuffix(android.content.Context context,
                                java.lang.String suffix)

      Description copied from interface: `IScanner`
      设置后缀
      Setup suffix
      Specified by:
        `setSuffix` in interface `IScanner`
      Parameters:
        `context` - Context
        `suffix` - 后缀字符(suffix characters)

    - #### setPrefix

          public void setPrefix(android.content.Context context,
                                java.lang.String prefix)

      Description copied from interface: `IScanner`
      设置前缀
      Setup prefix
      Specified by:
        `setPrefix` in interface `IScanner`
      Parameters:
        `context` - Context
        `prefix` - 前缀字符(prefix characters)

    - #### interceptTrimLeft

          public void interceptTrimLeft(android.content.Context context,
                                        int num)

      Description copied from interface: `IScanner`
      截取左边字符串
      Capture string on left
      Specified by:
        `interceptTrimLeft` in interface `IScanner`
      Parameters:
        `context` - Context
        `num` - 左边截取的字符数量(string capacity that captured on left)

    - #### interceptTrimRight

          public void interceptTrimRight(android.content.Context context,
                                         int num)

      Description copied from interface: `IScanner`
      截取右边字符串
      capture string on right
      Specified by:
        `interceptTrimRight` in interface `IScanner`
      Parameters:
        `context` - Context
        `num` - 右边截取的字符数量(string capacity that captured on right)

    - #### setScanOutTime

          public void setScanOutTime(android.content.Context context,
                                     int time)

      Description copied from interface: `IScanner`
      设置扫码超时时间
      Setup scan time-out duration
      Specified by:
        `setScanOutTime` in interface `IScanner`
      Parameters:
        `context` - Context
        `time` - 超时时间，单位秒(time-out duration, unit is sec.)

    - #### filterCharacter

          public void filterCharacter(android.content.Context context,
                                      java.lang.String chars)

      Description copied from interface: `IScanner`
      过滤字符串
      Filter string
      Specified by:
        `filterCharacter` in interface `IScanner`
      Parameters:
        `context` - Context
        `chars` - 过滤的字符(fialtered strings)

    - #### setContinuousScanRFID

          public void setContinuousScanRFID(android.content.Context context,
                                            boolean isContinuous)

      Description copied from interface: `IScanner`
      设置UHF连续扫描
      Setup UHF continuous scann
      Specified by:
        `setContinuousScanRFID` in interface `IScanner`
      Parameters:
        `context` - Context
        `isContinuous` - true: 连续扫描(continous scann ) false：单次扫描(single scann)

    - #### setContinuousScanIntervalTimeRFID

          public void setContinuousScanIntervalTimeRFID(android.content.Context context,
                                                        int intervalTime)

      Description copied from interface: `IScanner`
      设置UHF连续扫描间隔时间
      Setup UHF continuous scanning intervals
      Specified by:
        `setContinuousScanIntervalTimeRFID` in interface `IScanner`
      Parameters:
        `context` - Context
        `intervalTime` - 间隔时间，单位毫秒(time interval,unit is millisecond. )

    - #### setContinuousScanTimeOutRFID

          public void setContinuousScanTimeOutRFID(android.content.Context context,
                                                   int timeOut)

      Description copied from interface: `IScanner`
      设置UHF连续扫描超时时间
      Setup UHF continuous scanning time-out interval
      Specified by:
        `setContinuousScanTimeOutRFID` in interface `IScanner`
      Parameters:
        `context` - Context
        `timeOut` - 超时时间，单位秒 (timeout, unit is sec.)

    - #### setUHFPower

          public void setUHFPower(android.content.Context context,
                                  int power)

      Description copied from interface: `IScanner`
      设置uhf功率
      Setup UHF output power
      Specified by:
        `setUHFPower` in interface `IScanner`
      Parameters:
        `context` - Context
        `power` - 功率值(Power value)

    - #### setContinuousScan

          public void setContinuousScan(android.content.Context context,
                                        boolean isContinuous)

      Description copied from interface: `IScanner`
      设置条码连续扫描
      Setup barcode continuous scanning
      Specified by:
        `setContinuousScan` in interface `IScanner`
      Parameters:
        `context` - Context
        `isContinuous` - true: 连续扫描(continous scann ) false：单次扫描(single scann)

    - #### setContinuousScanIntervalTime

          public void setContinuousScanIntervalTime(android.content.Context context,
                                                    int intervalTime)

      Description copied from interface: `IScanner`
      设置条码连续扫描间隔时间
      Setup barcode continuous scanning intervals
      Specified by:
        `setContinuousScanIntervalTime` in interface `IScanner`
      Parameters:
        `context` - Context
        `intervalTime` - 间隔时间，单位毫秒(time interval,unit is millisecond. )

    - #### setContinuousScanTimeOut

          public void setContinuousScanTimeOut(android.content.Context context,
                                               int timeOut)

      Description copied from interface: `IScanner`
      设置条码连续扫描超时时间
      Setup barcode continuous scanning time-out interval
      Specified by:
        `setContinuousScanTimeOut` in interface `IScanner`
      Parameters:
        `context` - Context
        `timeOut` - 超时时间，单位秒 (timeout, unit is sec.)

    - #### resetScan

          public void resetScan(android.content.Context context)

      Description copied from interface: `IScanner`
      键盘助手恢复出厂设置
      Restore factory setup
      Specified by:
        `resetScan` in interface `IScanner`
      Parameters:
        `context` - Context

    - #### setScanKey

          public void setScanKey(android.content.Context context,
                                 int type,
                                 int[] scanKey)

      Description copied from interface: `IScanner`
      设置扫描或者读卡的按键值
      Setup keycode for barcode scan or card reading
      Specified by:
        `setScanKey` in interface `IScanner`
      Parameters:
        `context` - Context
        `type` - 0: Barcode 1：RFID 2：LF 3：UHF
        `scanKey` - 按键值,条码和UHF支持两个按键值，其他的只支持一个按键值(scanKey keycode, barcode and UHF support two keycodes, others support one keycode.)

    - #### setScanFailureBroadcast

          public void setScanFailureBroadcast(android.content.Context context,
                                              boolean enable)

      Description copied from interface: `IScanner`
      扫描失败是否发送广播,接收广播的action和扫描成功的action是同一个
      Send broadcast when scan failure
      Specified by:
        `setScanFailureBroadcast` in interface `IScanner`
      Parameters:
        `context` - Context
        `enable` - true:发送(send) false：不发送(no send)

    - #### setScanResultBroadcast

          public void setScanResultBroadcast(android.content.Context context,
                                             java.lang.String broadcastAction,
                                             java.lang.String data)

      Description copied from interface: `IScanner`
      设置条码扫描结果接收的广播
      Setup barcode scanning result
      Specified by:
        `setScanResultBroadcast` in interface `IScanner`
      Parameters:
        `context` - Context
        `broadcastAction` - 广播的action名称 (broadcastAction designation of broadcastAction)
        `data` - 广播的Extra名称 (Extra designation of broadcast)

    - #### setScanResultBroadcastRFID

          public void setScanResultBroadcastRFID(android.content.Context context,
                                                 java.lang.String broadcastAction,
                                                 java.lang.String data)

      Description copied from interface: `IScanner`
      设置RFID扫描结果接收广播
      Setup RFID scanning result receive broadcast
      Specified by:
        `setScanResultBroadcastRFID` in interface `IScanner`
      Parameters:
        `context` - Context
        `broadcastAction` - 广播的action名称 ( broadcast action designation)
        `data` - 广播的Extra名称 (Extra designation of broadcast)

    - #### setGroupSeparator

          public void setGroupSeparator(android.content.Context context,
                                        boolean disable)

      Description copied from interface: `IScanner`
      是否去掉分组符
      Delete D GS
      Specified by:
        `setGroupSeparator` in interface `IScanner`
      Parameters:
        `context` - Context
        `disable` - true:禁用 (disable) false：启用(enable)

    - #### setReleaseScan

          public void setReleaseScan(android.content.Context context,
                                     boolean enable)

      Description copied from interface: `IScanner`
      松开扫描按键是否停止扫描
      Stop scan after release scan button
      Specified by:
        `setReleaseScan` in interface `IScanner`
      Parameters:
        `context` - Context
        `enable` - true:停止扫描(stop scan) false：不停止扫描(continnue scan)

    - #### enableAuxiliaryLight

          public void enableAuxiliaryLight(android.content.Context context,
                                           boolean enable)

      Description copied from interface: `IScanner`
      开启扫描辅助灯(C7x才有此功能)
      switch on scanning aux.light for C7x series
      Specified by:
        `enableAuxiliaryLight` in interface `IScanner`
      Parameters:
        `context` - Context
        `enable` - true:开启扫描辅助灯(switch on scan aux.light) false： 关闭扫描辅助灯(switch off aux.light)

    - #### enableBarcodeNotRepeat

          public void enableBarcodeNotRepeat(android.content.Context context,
                                             boolean enable)

      Description copied from interface: `IScanner`
      不输出重复标签(前后两次标签不重复)
      donot outout repeated tags
      Specified by:
        `enableBarcodeNotRepeat` in interface `IScanner`
      Parameters:
        `context` - Context
        `enable` - true:不输出重复标签 (donot output repeated tags) false： 输出重复标签(output repeated tags)

    - #### setParam_zebra

          public void setParam_zebra(android.content.Context context,
                                     int paramId,
                                     int paramValue)

      Description copied from interface: `IScanner`
      设置斑马扫描头参数,扫描头上电之后设置一次即可,扫描头断电之后失效。(备注：键盘助手v2.2.0.3 之后的版本才支持)
      Setup zebra scanner parameters, after scanner has powered on to setup for once,
      Specified by:
        `setParam_zebra` in interface `IScanner`
      Parameters:
        `context` - Context
        `paramId` - 参数ID (Param Id)
        `paramValue` - 参数value (Param Value)

    - #### getParam_zebra

          public int getParam_zebra(android.content.Context context,
                                    int paramId)

      Specified by:
        `getParam_zebra` in interface `IScanner`

    - #### setUHFMode

          public void setUHFMode(android.content.Context context,
                                 int mode)

      Description copied from interface: `IScanner`
      设置uhf模式 (备注：键盘助手v2.3.5 之后的版本才支持)
      Setup UHF mode (Comment: Supports after keyboardemualator v2.3.5 has been released)
      Specified by:
        `setUHFMode` in interface `IScanner`
      Parameters:
        `context` - Context
        `mode` - 0:epc、 1:tid

    - #### setBarcodeContinuousMode

          public void setBarcodeContinuousMode(android.content.Context context,
                                               int mode)

      Description copied from interface: `IScanner`
      设置扫描头连续扫描模式 (备注：键盘助手v2.3.5 之后的版本才支持)
      Setup UHF mode (Comment: Supports after keyboardemualator v2.3.5 has been released)
      Specified by:
        `setBarcodeContinuousMode` in interface `IScanner`
      Parameters:
        `context` - Context
        `mode` - 1:普通模式 2:斑马模式(斑马扫描头才支持此模式)

    - #### enableBlockScankey

          public void enableBlockScankey(android.content.Context context,
                                         boolean enable)

      Description copied from interface: `IScanner`
      拦截扫描按键 (备注：键盘助手v2.3.5 之后的版本才支持)
      Block scan button (Comment: Supports after keyboardemualator v2.3.5 has been released)
      Specified by:
        `enableBlockScankey` in interface `IScanner`
      Parameters:
        `context` - Context
        `enable` - true:拦截扫描按键，不上报扫描按键值 false:不拦截扫描按键

    - #### isUhfWorking

          public boolean isUhfWorking(android.content.Context context)

      UHF 是否正在盘点
      Working status of UHF
      Specified by:
        `isUhfWorking` in interface `IScanner`
      Parameters:
        `context` - Context
      Returns:
        true:working false:non-working

    - #### setOnUhfWorkStateListener

          public void setOnUhfWorkStateListener(android.content.Context context,
                                                OnUhfWorkStateListener onUhfWorkStateListener)

      设置UHF工作状态发送改变的回调接口 Register a callback to be invoked when this UHF working state changes.
      Specified by:
        `setOnUhfWorkStateListener` in interface `IScanner`
      Parameters:
        `context` - Context
        `onUhfWorkStateListener` - Callback interface

    - #### getLastDecImage

          public void getLastDecImage(android.content.Context context)

      Specified by:
        `getLastDecImage` in interface `IScanner`

    - #### enableScanOnRelease

          public void enableScanOnRelease(android.content.Context context,
                                          boolean enable)

      释放扫描按键开始扫描
      Specified by:
        `enableScanOnRelease` in interface `IScanner`
      Parameters:
        `context` - Context

    - #### setVirtualScanButton

          public void setVirtualScanButton(android.content.Context context,
                                           int buttonSize)

      设置虚拟扫描按钮
      Specified by:
        `setVirtualScanButton` in interface `IScanner`
      Parameters:
        `context` - Context

    - #### getScannerParameter

          public ScannerParameterEntity getScannerParameter(android.content.Context context)

      Specified by:
        `getScannerParameter` in interface `IScanner`